From 822ba4c54467985407158e9c16c393a954418f02 Mon Sep 17 00:00:00 2001
From: Stefan Kangas <stefan@marxist.se>
Date: Mon, 14 Dec 2020 15:43:16 +0100
Subject: [PATCH] Make XEmacs entry in the FAQ more contemporary

* doc/misc/efaq.texi (Difference between Emacs and XEmacs): Make
XEmacs entry in the FAQ more contemporary.  Remove part about re-using
XEmacs code; this is not likely to be relevant these days and in any
case is not a frequently asked question.  (Bug#45235)
---
 doc/misc/efaq.texi | 36 +++++++++++-------------------------
 1 file changed, 11 insertions(+), 25 deletions(-)

diff --git a/doc/misc/efaq.texi b/doc/misc/efaq.texi
index 06a17d9c46..83c0a19d39 100644
--- a/doc/misc/efaq.texi
+++ b/doc/misc/efaq.texi
@@ -3390,7 +3390,7 @@ Finding Emacs and related packages
 * Packages that do not come with Emacs::
 * Spell-checkers::
 * Current GNU distributions::
-* Difference between Emacs and XEmacs::
+* What was XEmacs?::
 * Emacs for minimalists::
 * Emacs for MS-DOS::
 * Emacs for MS-Windows::
@@ -3526,35 +3526,21 @@ Current GNU distributions
 
 @uref{https://www.gnu.org/prep/ftp}
 
-@node Difference between Emacs and XEmacs
-@section What is the difference between Emacs and XEmacs (formerly Lucid Emacs)?
+@node What was XEmacs?
+@section What was XEmacs?
 @cindex XEmacs
-@cindex Difference Emacs and XEmacs
-@cindex Lucid Emacs
-@cindex Epoch
 
 XEmacs was a branch version of Emacs that is no longer actively
-developed.  XEmacs was first called Lucid Emacs, and was initially
-derived from a prerelease version of Emacs 19.  In this FAQ, we use
-the name ``Emacs'' only for the official version.
-
-XEmacs last released a new version on January 30, 2009, and it lacks
-many important features that exists in Emacs.  In the past, it was not
-uncommon for Emacs packages to include code for compatibility with
-XEmacs.  Nowadays, although some packages still maintain such
-compatibility code, several of the more popular built-in and third
-party packages have either stopped supporting XEmacs or were developed
-exclusively for Emacs.
+developed.  XEmacs last released a new version on January 30, 2009,
+and it lacks many important features that exist in Emacs.  Since its
+development has stopped, we do not expect to see any new releases.
 
-Some XEmacs code has been contributed to Emacs, and we would like to
-use other parts, but the earlier XEmacs maintainers did not always
-keep track of the authors of contributed code, which makes it
-impossible for the FSF to get copyright papers signed for that code.
-(The FSF requires these papers for all the code included in the Emacs
-release, aside from generic C support packages that retain their
-separate identity and are not integrated into the code of Emacs
-proper.)
+In the past, it was not uncommon for Emacs packages to include code
+for compatibility with XEmacs.  Nowadays, most built-in and third party
+packages have either stopped supporting XEmacs or were developed
+exclusively for Emacs.
 
+XEmacs was initially derived from a prerelease version of Emacs 19.
 If you want to talk about these two versions and distinguish them,
 please call them ``Emacs'' and ``XEmacs.''  To contrast ``XEmacs''
 with ``GNU Emacs'' would be misleading, since XEmacs too has its
-- 
2.28.0

